Lq.q
((Lx.Ly.(x)y)Lz.z)Lq.q
(Lx.x)x
((((Lm.Ln.Lf.Lx.((m)f)((n)f)x)Lo.Lt.(o)t)Lu.Lv.(u)(u)v)a)b
(Lx.(x)x)Lx.(x)x
(q)(Lx.Lx.x)z
((Lx.x)(Ly.y)Lx.x)x
((Ly.Lx.y)x)w
(((Lx.Ly.q)Lz.t)r)u
(((La.Lb.Lc.((a)b)c)Lx.Ly.y)d)e
(Lx.Ly.x)r
(Ln.((n)(Lx.Ly.x)Lw.Lq.q)Li.Lp.i)Lr.Le.e
(Ln.((n)(Lx.Ly.x)Lw.Lq.q)Li.Lp.i)Lr.Le.(r)(r)e
((((Lm.Ln.Lf.(m)(n)f)La.Lb.(a)(a)(a)(a)(a)(a)(a)(a)(a)(a)(a)b)Lc.Ld.(c)(c)(c)(c)(c)d)v)w
((Lx.Ly.Ly.x)y)z
((Ly.Ly.(x)y)Lz.y)z
(((((La.Lb.Lc.La.Lb.(a)(b)(c)a)Lb.b)La.b)Lc.a)c)a
z
